package _08_while;

public class Test5 {
    public static void main(String[] args) {
        /**
         * 计算从 1 开始的累加和，直到和大于 1000 为止
         * 计算累加次数
         */
        int sum = 0;
        int i = 1;
        int count  = 0;
        while (sum < 1000){
            // 从1 开始不断进行叠加
            sum += i;
            // 让i  逐一递增
            i++;
            // 每次叠加让次数+1
            count ++;
        }
        System.out.println(sum);
        System.out.println("一共累加"+ count);
    }
}
